Subject: Orders completed
From: "Michael B" <[email-masked]>
To: "Sandra Toulon" <[email-masked]>
Date: Wed, 18 Feb 2015 11:07:37 -0500

Hello Sandra.
Attached is a copy of a sheet that I created based on the orders that were placed.  I did find 2 more errors that I corrected.  One of them I forgot to switch your name out for the contact and another where the "g" was missing from Lexington in the company name.  I do not think that either of those errors will hinder the delivery of the posters.  I will resend the 2 invoices for those I made the corrections to.  Let me know if you have any questions or concerns.
Thank you,
Michael B
LLPS